APIs / Google Trends / Interest By Region

Google Trends: Interest By Region

Interest By Region from Google Trends as JSON. 1 credit per successful call.

GET /v1/google-trends/interest-by-region

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
qstringRequiredUp to 550 characters
geostringOptionalUp to 10 characters
regionstringOptionalREGION, COUNTRY
datestringOptionalAny
catintegerOptionalAny
gpropstringOptional, images, news, youtube, froogle
tzintegerOptionalAny
hlstringOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/google-trends/interest-by-region?q=coffee&geo=US&date=today+12-m" \
  -H "X-API-Key: $API_KEY"